รายการวิดีโอที่เกี่ยวข้องกับร้านค้า
บทนำ
รับรายการวิดีโอที่เกี่ยวข้องกับร้านค้าที่ระบุ โดยมีคุณสมบัติต่อไปนี้:
- ค้นหาตาม ID ร้านค้า
- คืนข้อมูลวิดีโอโดยละเอียด รวมถึงคำอธิบายวิดีโอ จำนวนการเล่น และข้อมูลการมีส่วนร่วม
- รวมถึงข้อมูลการขายที่เชื่อมโยงกับวิดีโอ เช่น ยอดขายและรายได้
เอนด์พอยต์ API
bash
POST /shop/v1/videoListเนื้อความคำขอ
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
filter | object | ไม่ | พารามิเตอร์ตัวกรอง |
orderby | array | ไม่ | พารามิเตอร์การจัดเรียง |
page | integer | ไม่ | ค่าเริ่มต้น: 1 |
pagesize | integer | ไม่ | ค่าเริ่มต้น: 10 |
ค่าตัวเลือกของ filter
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
seller_id | string | ไม่ | ID ร้านค้า |
creator_uid | string | ไม่ | UID ครีเอเตอร์ที่เชื่อมโยงกับร้านค้า |
creator_unique_id | string | ไม่ | ID ครีเอเตอร์ไม่ซ้ำที่เชื่อมโยงกับร้านค้า: @xxxxxxx |
seller_name | string | ไม่ | ชื่อร้านค้า |
region | string | ไม่ | ประเทศ/ภูมิภาคของร้านค้า |
create_time_range | object | ไม่ | ช่วงเวลาที่เผยแพร่วิดีโอ: {"min":1700000000,"max":1700000000} |
seller_nameและregionต้องส่งมาพร้อมกัน
ค่าตัวเลือกของ orderby
| ฟิลด์ | จำเป็น | คำอธิบาย |
|---|---|---|
play_count | ไม่ | จำนวนการเล่น |
digg_count | ไม่ | จำนวน digg |
comment_count | ไม่ | จำนวนความคิดเห็น |
share_count | ไม่ | จำนวนการแชร์ |
units_sold | ไม่ | ยอดขาย |
gmv | ไม่ | ยอดขาย (GMV) |
ตัวอย่างคำขอ
bash
curl 'https://openapi.fastmoss.com/shop/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"seller_id": "7495500842223700917",
# "creator_uid": "xxxxxxxxxxx",
# "creator_unique_id": "xxxxxxx",
# "seller_name": "xxxxxx",
# "region": "US",
# "create_time_range": {
# "min": 1700000000,
# "max": 1700000000
# }
},
"orderby": [{
"field": "play_count",
"order": "desc"
}],
# "orderby": [{
# "field": "digg_count",
# "order": "desc"
# }],
# "orderby": [{
# "field": "comment_count",
# "order": "desc"
# }],
# "orderby": [{
# "field": "share_count",
# "order": "desc"
# }],
# "orderby": [{
# "field": "units_sold",
# "order": "desc"
# }],
# "orderby": [{
# "field": "gmv",
# "order": "desc"
# }],
"page": 1,
"pagesize": 10
}'เนื้อความการตอบกลับ
data.list
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
product_id | string | ID สินค้า |
video_id | string | ID วิดีโอ |
uid | string | ID ผู้ใช้ |
seller_id | string | ID ผู้ขาย |
is_ad | int | เป็นโฆษณาหรือไม่ |
comment_count | int | จำนวนความคิดเห็น |
digg_count | int | จำนวนถูกใจ |
play_count | int | จำนวนการเล่น |
share_count | int | จำนวนการแชร์ |
create_date | string | วันที่สร้าง |
units_sold | int | ยอดขาย |
gmv | float | รายได้จากการขาย |
region | string | ประเทศ/ภูมิภาค |
video | object | อ็อบเจกต์ข้อมูลวิดีโอ |
data.list.video
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
video_desc | string | คำอธิบายวิดีโอ |
cover | string | URL รูปภาพปก |
duration | int | ระยะเวลา (วินาที) |
fastmoss_url | string | ลิงก์ Fastmoss |
tiktok_url | string | ลิงก์ TikTok |
uid | string | ID ผู้ใช้ |
create_time | timestamp | เวลาที่สร้าง |
data.total
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
total | string | จำนวนรายการทั้งหมด |
ตัวอย่างการตอบกลับ
json
{
"code": 0,
"data": {
"list": [
{
"product_id": "1729421229342823356",
"video_id": "7468186866076880170",
"uid": "6790997286808093702",
"create_time": 1738838400,
"is_ad": "0",
"seller_id": "7495150597721263036",
"comment_count": "0",
"digg_count": "14",
"play_count": "4592",
"share_count": "0",
"create_date": "2025-02-06",
"sold_count": "28",
"sale_amount": "700.0000",
"video": {
"video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
"cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
"duration": "12",
"fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
"tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
"uid": "6790997286808093702",
"create_time": 1738838400
},
"region": "US"
}
],
"total": "3809"
},
"message": "success",
"timestamp": 1743573480,
"request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}